package com.xhkjedu.sexam.vo.paper;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description 题库试卷题型下试题集合
 * @Author WN
 * Date 2022/7/20 14:17
 **/
@Data
public class EPaperQtypeQuestionVo {
    //考试试卷题型试题表
    private Integer eptqid;

    //考试试卷题型表id
    private Integer eptid;

    //试题id
    private String questionid;

    //试题分值
    private Double score;

    //试题排序
    private Integer order;

    //试题处理题型
    private Integer ctype;

    //试题题型
    private String qtypeid;

    //试题题型名称
    private String qtypename;

    //试题题干
    private String qstem;

    //试题选项
    private String qoption;

    //试题答案
    private String qanswer;

    //试题分析
    private String qanalyze;

    //难易度
    private Integer complexity;

    //试题类型0母题1子题
    private Integer qlevel;

    //是否包含子题0不包含1包含
    private Integer hasson;

    //母题id
    private String questionpid;

    //试题关联知识点
    private List<EPaperQPointVo> points = new ArrayList<>();

    //子试题集合
    private List<EPaperQtypeQuestionVo> sonquestions = new ArrayList<>();
}
