package com.xhkjedu.sexam.service.paper;

import com.xhkjedu.sexam.mapper.exam.EClassMapper;
import com.xhkjedu.sexam.mapper.paper.EPaperCorrectclassMapper;
import com.xhkjedu.sexam.model.paper.EPaperCorrectclass;
import com.xhkjedu.utils.N_Utils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service
public class EPaperCorrectclassService {
    @Resource
    private EPaperCorrectclassMapper ePaperCorrectclassMapper;
    @Resource
    private EClassMapper eClassMapper;

    //设置批阅人
    public void setTeacher(Integer epid, Integer createid, List<EPaperCorrectclass> teachers) {
        ePaperCorrectclassMapper.delByEpId(epid);//删除批阅人
        int timestamp = N_Utils.getSecondTimestamp();
        teachers.forEach(t->{
            t.setEpid(epid);
            t.setCreateid(createid);
            t.setCreatetime(timestamp);
        });
        ePaperCorrectclassMapper.insertList(teachers);
    }

    //查看批阅人
    public List<Map> listByEpId(Integer epid) {
        List<Map> list = eClassMapper.listByExamId(epid);
        List<Map> users = ePaperCorrectclassMapper.listByEpId(epid);
        return list;
    }
}
