package com.xhkjedu.sexam.service.paper;

import com.xhkjedu.sexam.mapper.paper.EPaperCorrectquestionMapper;
import com.xhkjedu.sexam.model.paper.EPaperCorrectquestion;
import com.xhkjedu.utils.N_Utils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class EPaperCorrectquestionService {
    @Resource
    private EPaperCorrectquestionMapper ePaperCorrectquestionMapper;

    //设置批阅人
    public void setTeacher(Integer epid, Integer createid, List<EPaperCorrectquestion> teachers) {
        ePaperCorrectquestionMapper.delByEpId(epid);//删除批阅人
        int timestamp = N_Utils.getSecondTimestamp();
        teachers.forEach(t->{
            t.setEpid(epid);
            t.setCreateid(createid);
            t.setCreatetime(timestamp);
        });
        ePaperCorrectquestionMapper.insertList(teachers);
    }
}
